Bug 1647581 - EPEL7 - slim won't install on RHEL 7.6
Summary: EPEL7 - slim won't install on RHEL 7.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: slim
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ranjan Maitra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EPEL7FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2018-11-07 20:08 UTC by Troy Dawson
Modified: 2019-01-08 02:02 UTC (History)
2 users (show)

Fixed In Version: slim-1.3.6-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 02:02:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Troy Dawson 2018-11-07 20:08:57 UTC
Current slim for EPEL7 (slim-1.3.6-6.el7) requires
  desktop-backgrounds-basic
RHEL 7.6 does not contain desktop-backgrounds-basic

Please fix this package so that it can be installed in RHEL 7.6.
If you have not responded in a week, we will have a proven packager fix it.
If you know you will not be able to get to it and would like it fixed sooner, please let us know in this bug.
If you feel this package should no longer be in EPEL7, please let us know in this bug.

Comment 1 Troy Dawson 2018-12-18 17:16:22 UTC
It's been a while since this bug was opened.  Since there hasn't been a response, I'm going to fix this package/problem.

To me, it looks like we have four different solutions.
1 - remove the package (not my favorite idea, I think it would be great if this were in EPEL)
2 - Remove the dependency and use the slim default background.  (Simplest, Fastest. Depends on what that background is)
3 - Remove the dependency, grab the background from desktop-backgrounds-basic and use it in slim (Simple, Fast.  We have control over the background still)
4 - Add desktop-backgrounds to EPEL.  (Hardest, Slowest.  Possibly help more packages and people than just slim)

I'm looking at 2 or 3 to fix the problem in the short term.

Comment 2 Troy Dawson 2018-12-18 17:30:35 UTC
The default slim background has a red color scheme, as opposed to the default-blue that it get's replaced to.
For Fedora (which is blue themed) I could see changing it.
But for RHEL based, I think the red color scheme sorta matches.
Unless someone objects, I'm going to go with option 2.  But I will only comment out the linking and Requires line.  If the time comes that desktop-backgrounds makes it into EPEL, we can always uncomment it, and have it in sync Fedora.

Comment 3 Fedora Update System 2018-12-18 19:47:17 UTC
slim-1.3.6-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2d7ce3ce7a

Comment 4 Fedora Update System 2018-12-19 00:47:44 UTC
slim-1.3.6-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2d7ce3ce7a

Comment 5 Fedora Update System 2019-01-08 02:02:36 UTC
slim-1.3.6-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.